// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.GameSession}
 */
public  final class GameSession extends
    com.google.protobuf.GeneratedMessageLite<
        GameSession, GameSession.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.GameSession)
    GameSessionOrBuilder {
  private GameSession() {
    id_ = "";
    articleId_ = "";
  }
  private int bitField0_;
  public static final int ID_FIELD_NUMBER = 1;
  private java.lang.String id_;
  /**
   * <code>string id = 1 [json_name = "id"];</code>
   * @return The id.
   */
  @java.lang.Override
  public java.lang.String getId() {
    return id_;
  }
  /**
   * <code>string id = 1 [json_name = "id"];</code>
   * @return The bytes for id.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getIdBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(id_);
  }
  /**
   * <code>string id = 1 [json_name = "id"];</code>
   * @param value The id to set.
   */
  private void setId(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    id_ = value;
  }
  /**
   * <code>string id = 1 [json_name = "id"];</code>
   */
  private void clearId() {
    
    id_ = getDefaultInstance().getId();
  }
  /**
   * <code>string id = 1 [json_name = "id"];</code>
   * @param value The bytes for id to set.
   */
  private void setIdBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    id_ = value.toStringUtf8();
    
  }

  public static final int ARTICLE_ID_FIELD_NUMBER = 5;
  private java.lang.String articleId_;
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  @java.lang.Override
  public java.lang.String getArticleId() {
    return articleId_;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getArticleIdBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(articleId_);
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @param value The articleId to set.
   */
  private void setArticleId(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    articleId_ = value;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   */
  private void clearArticleId() {
    
    articleId_ = getDefaultInstance().getArticleId();
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @param value The bytes for articleId to set.
   */
  private void setArticleIdBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    articleId_ = value.toStringUtf8();
    
  }

  public static final int DATA_FIELD_NUMBER = 2;
  private gg.dsepractice.chinese.v1alpha1.GameSessionData data_;
  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   */
  @java.lang.Override
  public boolean hasData() {
    return ((bitField0_ & 0x00000001) != 0);
  }
  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.GameSessionData getData() {
    return data_ == null ? gg.dsepractice.chinese.v1alpha1.GameSessionData.getDefaultInstance() : data_;
  }
  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   */
  private void setData(gg.dsepractice.chinese.v1alpha1.GameSessionData value) {
    value.getClass();
  data_ = value;
    bitField0_ |= 0x00000001;
    }
  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeData(gg.dsepractice.chinese.v1alpha1.GameSessionData value) {
    value.getClass();
  if (data_ != null &&
        data_ != gg.dsepractice.chinese.v1alpha1.GameSessionData.getDefaultInstance()) {
      data_ =
        gg.dsepractice.chinese.v1alpha1.GameSessionData.newBuilder(data_).mergeFrom(value).buildPartial();
    } else {
      data_ = value;
    }
    bitField0_ |= 0x00000001;
  }
  /**
   * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
   */
  private void clearData() {  data_ = null;
    bitField0_ = (bitField0_ & ~0x00000001);
  }

  public static final int CREATED_AT_FIELD_NUMBER = 3;
  private com.google.protobuf.Timestamp createdAt_;
  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   */
  @java.lang.Override
  public boolean hasCreatedAt() {
    return createdAt_ != null;
  }
  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Timestamp getCreatedAt() {
    return createdAt_ == null ? com.google.protobuf.Timestamp.getDefaultInstance() : createdAt_;
  }
  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   */
  private void setCreatedAt(com.google.protobuf.Timestamp value) {
    value.getClass();
  createdAt_ = value;
    
    }
  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeCreatedAt(com.google.protobuf.Timestamp value) {
    value.getClass();
  if (createdAt_ != null &&
        createdAt_ != com.google.protobuf.Timestamp.getDefaultInstance()) {
      createdAt_ =
        com.google.protobuf.Timestamp.newBuilder(createdAt_).mergeFrom(value).buildPartial();
    } else {
      createdAt_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
   */
  private void clearCreatedAt() {  createdAt_ = null;
    
  }

  public static final int MUST_END_BEFORE_FIELD_NUMBER = 4;
  private com.google.protobuf.Timestamp mustEndBefore_;
  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   */
  @java.lang.Override
  public boolean hasMustEndBefore() {
    return mustEndBefore_ != null;
  }
  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Timestamp getMustEndBefore() {
    return mustEndBefore_ == null ? com.google.protobuf.Timestamp.getDefaultInstance() : mustEndBefore_;
  }
  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   */
  private void setMustEndBefore(com.google.protobuf.Timestamp value) {
    value.getClass();
  mustEndBefore_ = value;
    
    }
  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeMustEndBefore(com.google.protobuf.Timestamp value) {
    value.getClass();
  if (mustEndBefore_ != null &&
        mustEndBefore_ != com.google.protobuf.Timestamp.getDefaultInstance()) {
      mustEndBefore_ =
        com.google.protobuf.Timestamp.newBuilder(mustEndBefore_).mergeFrom(value).buildPartial();
    } else {
      mustEndBefore_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
   */
  private void clearMustEndBefore() {  mustEndBefore_ = null;
    
  }

  public static final int STATUS_FIELD_NUMBER = 6;
  private int status_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   * @return The enum numeric value on the wire for status.
   */
  @java.lang.Override
  public int getStatusValue() {
    return status_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   * @return The status.
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.GameSessionStatus getStatus() {
    gg.dsepractice.chinese.v1alpha1.GameSessionStatus result = gg.dsepractice.chinese.v1alpha1.GameSessionStatus.forNumber(status_);
    return result == null ? gg.dsepractice.chinese.v1alpha1.GameSessionStatus.UNRECOGNIZED : result;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   * @param value The enum numeric value on the wire for status to set.
   */
  private void setStatusValue(int value) {
      status_ = value;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   * @param value The status to set.
   */
  private void setStatus(gg.dsepractice.chinese.v1alpha1.GameSessionStatus value) {
    status_ = value.getNumber();
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
   */
  private void clearStatus() {
    
    status_ = 0;
  }

  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSession parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.GameSession prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.GameSession}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.GameSession, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.GameSession)
      gg.dsepractice.chinese.v1alpha1.GameSessionOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.GameSession.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>string id = 1 [json_name = "id"];</code>
     * @return The id.
     */
    @java.lang.Override
    public java.lang.String getId() {
      return instance.getId();
    }
    /**
     * <code>string id = 1 [json_name = "id"];</code>
     * @return The bytes for id.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getIdBytes() {
      return instance.getIdBytes();
    }
    /**
     * <code>string id = 1 [json_name = "id"];</code>
     * @param value The id to set.
     * @return This builder for chaining.
     */
    public Builder setId(
        java.lang.String value) {
      copyOnWrite();
      instance.setId(value);
      return this;
    }
    /**
     * <code>string id = 1 [json_name = "id"];</code>
     * @return This builder for chaining.
     */
    public Builder clearId() {
      copyOnWrite();
      instance.clearId();
      return this;
    }
    /**
     * <code>string id = 1 [json_name = "id"];</code>
     * @param value The bytes for id to set.
     * @return This builder for chaining.
     */
    public Builder setIdBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setIdBytes(value);
      return this;
    }

    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return The articleId.
     */
    @java.lang.Override
    public java.lang.String getArticleId() {
      return instance.getArticleId();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return The bytes for articleId.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getArticleIdBytes() {
      return instance.getArticleIdBytes();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @param value The articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleId(
        java.lang.String value) {
      copyOnWrite();
      instance.setArticleId(value);
      return this;
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return This builder for chaining.
     */
    public Builder clearArticleId() {
      copyOnWrite();
      instance.clearArticleId();
      return this;
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @param value The bytes for articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleIdBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setArticleIdBytes(value);
      return this;
    }

    /**
     * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
     */
    @java.lang.Override
    public boolean hasData() {
      return instance.hasData();
    }
    /**
     * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.GameSessionData getData() {
      return instance.getData();
    }
    /**
     * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
     */
    public Builder setData(gg.dsepractice.chinese.v1alpha1.GameSessionData value) {
      copyOnWrite();
      instance.setData(value);
      return this;
      }
    /**
     * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
     */
    public Builder setData(
        gg.dsepractice.chinese.v1alpha1.GameSessionData.Builder builderForValue) {
      copyOnWrite();
      instance.setData(builderForValue.build());
      return this;
    }
    /**
     * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
     */
    public Builder mergeData(gg.dsepractice.chinese.v1alpha1.GameSessionData value) {
      copyOnWrite();
      instance.mergeData(value);
      return this;
    }
    /**
     * <code>optional .dsepractice.chinese.v1alpha1.GameSessionData data = 2 [json_name = "data"];</code>
     */
    public Builder clearData() {  copyOnWrite();
      instance.clearData();
      return this;
    }

    /**
     * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
     */
    @java.lang.Override
    public boolean hasCreatedAt() {
      return instance.hasCreatedAt();
    }
    /**
     * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Timestamp getCreatedAt() {
      return instance.getCreatedAt();
    }
    /**
     * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
     */
    public Builder setCreatedAt(com.google.protobuf.Timestamp value) {
      copyOnWrite();
      instance.setCreatedAt(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
     */
    public Builder setCreatedAt(
        com.google.protobuf.Timestamp.Builder builderForValue) {
      copyOnWrite();
      instance.setCreatedAt(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
     */
    public Builder mergeCreatedAt(com.google.protobuf.Timestamp value) {
      copyOnWrite();
      instance.mergeCreatedAt(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];</code>
     */
    public Builder clearCreatedAt() {  copyOnWrite();
      instance.clearCreatedAt();
      return this;
    }

    /**
     * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
     */
    @java.lang.Override
    public boolean hasMustEndBefore() {
      return instance.hasMustEndBefore();
    }
    /**
     * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Timestamp getMustEndBefore() {
      return instance.getMustEndBefore();
    }
    /**
     * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
     */
    public Builder setMustEndBefore(com.google.protobuf.Timestamp value) {
      copyOnWrite();
      instance.setMustEndBefore(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
     */
    public Builder setMustEndBefore(
        com.google.protobuf.Timestamp.Builder builderForValue) {
      copyOnWrite();
      instance.setMustEndBefore(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
     */
    public Builder mergeMustEndBefore(com.google.protobuf.Timestamp value) {
      copyOnWrite();
      instance.mergeMustEndBefore(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Timestamp must_end_before = 4 [json_name = "mustEndBefore"];</code>
     */
    public Builder clearMustEndBefore() {  copyOnWrite();
      instance.clearMustEndBefore();
      return this;
    }

    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
     * @return The enum numeric value on the wire for status.
     */
    @java.lang.Override
    public int getStatusValue() {
      return instance.getStatusValue();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
     * @param value The status to set.
     * @return This builder for chaining.
     */
    public Builder setStatusValue(int value) {
      copyOnWrite();
      instance.setStatusValue(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
     * @return The status.
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.GameSessionStatus getStatus() {
      return instance.getStatus();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
     * @param value The enum numeric value on the wire for status to set.
     * @return This builder for chaining.
     */
    public Builder setStatus(gg.dsepractice.chinese.v1alpha1.GameSessionStatus value) {
      copyOnWrite();
      instance.setStatus(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionStatus status = 6 [json_name = "status"];</code>
     * @return This builder for chaining.
     */
    public Builder clearStatus() {
      copyOnWrite();
      instance.clearStatus();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.GameSession)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.GameSession();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "bitField0_",
            "id_",
            "data_",
            "createdAt_",
            "mustEndBefore_",
            "articleId_",
            "status_",
          };
          java.lang.String info =
              "\u0000\u0006\u0000\u0001\u0001\u0006\u0006\u0000\u0000\u0000\u0001\u0208\u0002\u1009" +
              "\u0000\u0003\t\u0004\t\u0005\u0208\u0006\f";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.GameSession> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.GameSession.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.GameSession>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.GameSession)
  private static final gg.dsepractice.chinese.v1alpha1.GameSession DEFAULT_INSTANCE;
  static {
    GameSession defaultInstance = new GameSession();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      GameSession.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.GameSession getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<GameSession> PARSER;

  public static com.google.protobuf.Parser<GameSession> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

